Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\FieldType\Page\Parts\Zone Class Reference
Inheritance diagram for eZ\Publish\Core\FieldType\Page\Parts\Zone:

## Public Member Functions
| __construct (array $properties=[])
| Constructor. More...
Public Member Functions inherited from eZ\Publish\Core\FieldType\Page\Parts\Base
| getState ()
| Returns available properties with their values as a simple hash. More...
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __get ($property)
| Magic get function handling read to non public properties. More...
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...

## Protected Attributes
| $blocks = []
| $blocksById = []
| $id
| $identifier
| $action

## Additional Inherited Members
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Public Attributes inherited from eZ\Publish\Core\FieldType\Page\Parts\Base
const | ACTION_ADD = 'add'
const | ACTION_MODIFY = 'modify'
const | ACTION_REMOVE = 'remove'
| $attributes
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

Definition at line 16 of file FieldType/Page/Parts/Zone.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\FieldType\Page\Parts\Zone::__construct | ( | array | $properties = `[]` | ) |

Constructor.

Parameters

  array | $properties |

Reimplemented from eZ\Publish\Core\FieldType\Page\Parts\Base.

Definition at line 45 of file FieldType/Page/Parts/Zone.php.

## Member Data Documentation

## ◆ $action

eZ\Publish\Core\FieldType\Page\Parts\Zone::$action
| protected

Definition at line 43 of file FieldType/Page/Parts/Zone.php.

## ◆ $blocks

eZ\Publish\Core\FieldType\Page\Parts\Zone::$blocks = []
| protected

Definition at line 19 of file FieldType/Page/Parts/Zone.php.

## ◆ $blocksById

eZ\Publish\Core\FieldType\Page\Parts\Zone::$blocksById = []
| protected

Definition at line 22 of file FieldType/Page/Parts/Zone.php.

## ◆ $id

eZ\Publish\Core\FieldType\Page\Parts\Zone::$id
| protected

Definition at line 29 of file FieldType/Page/Parts/Zone.php.

## ◆ $identifier

eZ\Publish\Core\FieldType\Page\Parts\Zone::$identifier
| protected

Definition at line 36 of file FieldType/Page/Parts/Zone.php.

The documentation for this class was generated from the following file:

- FieldType/Page/Parts/Zone.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.